Skip to content

Current user ​

The signed-in user's profile and password.

Base URL: https://api.fjordrun.com. Generated from the OpenAPI document (API version 0.1.0).

Get the current user ​

GET /api/v1/auth/me

Authentication: a team API token or personal access token.

Response

200: a Current user object.

Example

bash
curl "https://api.fjordrun.com/api/v1/auth/me" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN"

Update the current user ​

PATCH /api/v1/auth/me

Authentication: a team API token or personal access token.

Request body

FieldTypeRequiredDescription
namestringnomin length 1, max length 200, can be null
avatar_urlstringnomax length 500, can be null
product_emailsbooleannocan be null

Response

200: an User object.

Example

bash
curl -X PATCH "https://api.fjordrun.com/api/v1/auth/me" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"name":"string"}'

Change password ​

POST /api/v1/auth/password

Authentication: a team API token or personal access token.

Request body

FieldTypeRequiredDescription
current_passwordstringyes
new_passwordstringyesmin length 8, max length 200

Response

204: no content.

Example

bash
curl -X POST "https://api.fjordrun.com/api/v1/auth/password" \
  -H "Authorization: Bearer $FJORDRUN_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"current_password":"string","new_password":"string"}'

Request objects ​

MePatch ​

FieldTypeRequiredDescription
namestringnomin length 1, max length 200, can be null
avatar_urlstringnomax length 500, can be null
product_emailsbooleannocan be null

PasswordIn ​

FieldTypeRequiredDescription
current_passwordstringyes
new_passwordstringyesmin length 8, max length 200

Fjordrun is hosted in the EU (Hetzner, Nuremberg, Germany). Private beta.